/*******************************************************************************
 * PlayerStart generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class PlayerStart extends NavigationPoint
    native
    placeable
    hidecategories(Navigation,Lighting,LightColor,Force,Collision)
    classgroup(Common);

var() bool bEnabled;
var() bool bPrimaryStart;
var bool bBestStart;
var() int TeamIndex;
var float Score;
var int SelectionIndex;
var transient float LastUsedTimeSeconds;
var transient int NumTimesUsed;

simulated function OnToggle(SeqAct_Toggle Action)
{
    // End:0x46
    if(Action.InputLinks[0].bHasImpulse)
    {
        bEnabled = true;
    }
    // End:0xDB
    else
    {
        // End:0x8C
        if(Action.InputLinks[1].bHasImpulse)
        {
            bEnabled = false;
        }
        // End:0xDB
        else
        {
            // End:0xDB
            if(Action.InputLinks[2].bHasImpulse)
            {
                bEnabled = !bEnabled;
            }
        }
    }
    //return;    
}

simulated event PostRenderFor(PlayerController PC, Canvas Canvas, Vector CameraPosition, Vector CameraDir)
{
    local float NameXL, TextYL, YL, XL, textscale;

    local Vector ScreenLoc, ViewLoc;
    local Rotator ViewRot;
    local string ScreenName;
    local FontRenderInfo FontInfo;

    PC.GetPlayerViewPoint(ViewLoc, ViewRot);
    // End:0x5E
    if((vector(ViewRot) Dot (Location - ViewLoc)) < 0.50)
    {
        return;
    }
    ScreenLoc = Canvas.Project(Location);
    // End:0x15E
    if((((ScreenLoc.X < float(0)) || ScreenLoc.X >= Canvas.ClipX) || ScreenLoc.Y < float(0)) || ScreenLoc.Y >= Canvas.ClipY)
    {
        return;
    }
    ScreenName = (("(" $ string(SelectionIndex)) $ ")") @ string(Score);
    Canvas.StrLen(ScreenName, NameXL, TextYL);
    XL = FMax(XL, NameXL);
    YL += TextYL;
    textscale = 1.0;
    // End:0x261
    if(bBestStart)
    {
        Canvas.DrawColor = class'HUD'.default.GreenColor;
        textscale = 4.0;
    }
    // End:0x3E6
    else
    {
        // End:0x2E8
        if(Score == 10000000.0)
        {
            Canvas.DrawColor = class'HUD'.default.WhiteColor;
            Canvas.DrawColor.B = 0;
        }
        // End:0x3E6
        else
        {
            // End:0x3A9
            if(Score == 0.0)
            {
                Canvas.DrawColor.R = 200;
                Canvas.DrawColor.G = 50;
                Canvas.DrawColor.B = 255;
                textscale = 0.50;
            }
            // End:0x3E6
            else
            {
                Canvas.DrawColor = class'HUD'.default.RedColor;
            }
        }
    }
    Canvas.SetPos(ScreenLoc.X - (0.50 * NameXL), ScreenLoc.Y - (1.70 * YL));
    FontInfo.bClipText = true;
    Canvas.DrawText(ScreenName, true, textscale, textscale, FontInfo);
    //return;    
}

defaultproperties
{
    bEnabled=true
    bPrimaryStart=true
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=80.0
        CollisionRadius=40.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__PlayerStart.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    Components(0)=none
    Components(1)=none
    Components(2)=none
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=80.0
        CollisionRadius=40.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__PlayerStart.CollisionCylinder'
    Components(3)=CollisionCylinder
    Components(4)=none
    bCollideWhenPlacing=false
    bEdShouldSnap=true
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=80.0
        CollisionRadius=40.0
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__PlayerStart.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}